package com.tuoheng.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName oauth2_registered_client
 */
@TableName(value ="oauth2_registered_client")
@Data
public class Oauth2RegisteredClient implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 
     */
    private String clientId;

    /**
     * 
     */
    private Date clientIdIssuedAt;

    /**
     * 
     */
    private String clientSecret;

    /**
     * 
     */
    private Date clientSecretExpiresAt;

    /**
     * 
     */
    private String clientName;

    /**
     * 
     */
    private String clientAuthenticationMethods;

    /**
     * 
     */
    private String authorizationGrantTypes;

    /**
     * 
     */
    private String redirectUris;

    /**
     * 
     */
    private String scopes;

    /**
     * 
     */
    private String clientSettings;

    /**
     * 
     */
    private String tokenSettings;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}