package com.tuoheng.model.dto;

import lombok.Data;

/**
 * oidc-新增租户第三方
 * @Author xiaoying
 * @Date 2023/1/9 10:08
 */
@Data
public class OidcTenantDto  {
    /**
     * 租户id
     */
    private Long id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 租户名称
     */
    private String name;
    /**
     * 平台
     */
    private String clientId;
    /**
     * 密码
     */
    private String password;
    /**
     * 租户code
     */
    private String code;
}
