package com.tuoheng.model.vo;

import lombok.Data;

import java.util.List;

/**
 * 租户列表展示返回类
 * @Author xiaoying
 * @Date 2023/1/10 14:39
 */
@Data
public class TenantVo {
    /**
     * 租户id
     */
    private  Long id;
    /**
     * 租户名称
     */
    private String name;
    /**
     * 租户code
     */
    private String code;
    /**
     * 用户名
     */
    private String username;
    /**
     * 租户绑定的业务系统等
     */
    private List<BusinessSystemVo> list;

}
